Summary:   Alsa driver for linux
Name:      alsa-driver
Version:   1.0.14
Release:   0.1.rc2%{?dist}
License:   GPL
Group:     System Environment/Kernel 
Source:    ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{version}rc2.tar.bz2
URL:       http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

provides:  alsa-driver-kmod-common = %{version}
Requires:  alsa-driver-kmod >= %{version}
Requires:  alsa-utils
#Requires:  alsa-driver-firmware

Requires (post): /sbin/chkconfig
Requires (preun): /sbin/chkconfig

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features:
- Efficient support for all types of audio interfaces, from consumer
 soundcards to professional multichannel audio interfaces.
- Fully modularized sound drivers.
- SMP and thread-safe design.
- User space library (alsa-lib) to simplify application programming and
 provide higher level functionality.
- Support for the older OSS API, providing binary compatibility for most
 OSS programs.

%prep
%setup -q -n %{name}-%{version}rc2


%build


%install
rm -rf $RPM_BUILD_ROOT
cat > alsa-driver.modprobe << EOF
# alsa-driver modprobe
EOF

install -D -p -m 0644 alsa-driver.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/alsa-driver

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 0644 utils/alsasound $RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/chkconfig ]; then
  chkconfig --add alsasound
fi

%preun
if [ "$1" = 0 ] ; then
  if [ -x /sbin/chkconfig ]; then
    chkconfig --del alsasound
  fi
fi


%files
%defattr(-,root,root,-)
%doc CARDS-STATUS FAQ COPYING README SUPPORTED_KERNELS TODO WARNING
%config(noreplace) %{_sysconfdir}/modprobe.d/alsa-driver
%{_initrddir}/alsasound


%changelog
* Wed Jan 17 2007 kwizart < kwizart at gmail .com > - 1.0.14-0.1.rc2
- Initial release

